unit PropAbout;

interface

uses
  SysUtils, Windows, Messages, Classes, Graphics, Controls, StdCtrls,
  ExtCtrls, Forms, BaseClass, ComObj, StdVcl, AxCtrls, DirectShow9, Dialogs,
  ShellAPI, DCEQTypes, ComCtrls, dspUtils;

type
  TFormPropAbout = class(TFormPropertyPage)
    Label1: TLabel;
    Label2: TLabel;
    statictext1: TLabel;
    label4: TLabel;
    Label5: TLabel;
    Label7: TLabel;
    Image1: TImage;
    GroupBox1: TGroupBox;
    Label6: TLabel;
    GroupBox2: TGroupBox;
    Label3: TLabel;
    GroupBox3: TGroupBox;
    Label8: TLabel;
    GroupBox4: TGroupBox;
    Label10: TLabel;
    procedure statictext1Click(Sender: TObject);
    procedure label4Click(Sender: TObject);
    procedure statictext1MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure label4MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure Label5MouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure FormShow(Sender: TObject);
  end;

implementation

{$R *.DFM}

procedure TFormPropAbout.statictext1Click(Sender: TObject);
begin
  ShellExecute(0,'open','http://www.dsp-worx.de',nil,nil,SW_SHOWNORMAL);
end;

procedure TFormPropAbout.label4Click(Sender: TObject);
var
  str: String;
begin
  str := 'mailto:dcoder@dsp-worx.de?subject=DC-ParamEQ Filter';
  ShellExecute(0,'open',PChar(str),nil,nil,SW_SHOWNORMAL);
end;

procedure TFormPropAbout.statictext1MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  label4.Font := label5.Font;
  StaticText1.Font.Color := clHotLight;
  StaticText1.Font.Style := [fsUnderline];
end;

procedure TFormPropAbout.label4MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  StaticText1.Font := label5.Font;
  label4.Font.Color := clHotLight;
  label4.Font.Style := [fsUnderline];
end;

procedure TFormPropAbout.Label5MouseMove(Sender: TObject;
  Shift: TShiftState; X, Y: Integer);
begin
  StaticText1.Font := label5.Font;
  label4.Font := label5.Font;
end;

procedure TFormPropAbout.FormShow(Sender: TObject);
begin
  if hasSSE3
    then Label10.Caption := 'Using SSE3 Instructions'
  else
  if hasSSE
    then Label10.Caption := 'Using SSE Instructions'
  else
    Label10.Caption := 'Using FPU Instructions'
end;

initialization
  TBCClassFactory.CreatePropertyPage(TFormPropAbout, CLSID_DCEQFilter_PropAbout);
end.
